#include <definitions>

__E_CFG_VERSION 0

/* NB "STARTUP_BACKGROUND" is a special backgroudn name - if this exists E
 * Will display the "blinds" on startup and hid whatever it is doing behind
 * these whilst "booting"
 */

BEGIN_BACKGROUND("STARTUP_BACKGROUND")
SET_SOLID("0 0 0")
END_BACKGROUND


/* NB - need to define these for the dragbar - the horizontal one is 
 * displayed on startup
 */

__ICLASS __BGN
  __NAME DESKTOP_DRAGBUTTON_HORIZ
  __NORMAL "pix/dragbar/dragbar_hori_normal.png"
  __EDGE_SCALING 7 2 2 2
  __CLICKED "pix/dragbar/dragbar_hori_normal.png"
  __EDGE_SCALING 7 2 2 2
  __HILITED "pix/dragbar/dragbar_hori_high.png"
  __EDGE_SCALING 7 2 2 2
__END

__ICLASS __BGN
  __NAME DESKTOP_LOWERBUTTON_VERT
  __NORMAL "pix/dragbar/dragbar_raise_arrow_normal.png"
  __HILITED "pix/dragbar/dragbar_raise_arrow_high.png"
  __CLICKED "pix/dragbar/dragbar_raise_arrow_high.png"
__END

__ICLASS __BGN
  __NAME DESKTOP_RAISEBUTTON_VERT
  __NORMAL "pix/dragbar/dragbar_lower_arrow_normal.png"
  __HILITED "pix/dragbar/dragbar_lower_arrow_high.png"
  __CLICKED "pix/dragbar/dragbar_lower_arrow_high.png"
__END

/* Progress bar stuff needed to be able to start and look decent */

__ICLASS __BGN
  __NAME PROGRESS_BAR
/* normal used for text background */  
  __NORMAL  "pix/init/progressbartext.png"
  __EDGE_SCALING 10 2 2 2
/* used for numeric bg */
  __CLICKED "pix/init/progressbarnum.png"
  __EDGE_SCALING 2 10 2 2
/* used for bar itself */  
  __NORMAL_ACTIVE  "pix/init/progressbar.png"
  __EDGE_SCALING 10 10 2 2
  __PADDING 2 2 2 2
__END

__TCLASS __BGN
  __NAME "PROGRESS_TEXT"
  __NORMAL "-*-helvetica-medium-r-*-*-10-*-*-*-*-*-*-*"
  __DRAWING_EFFECT __EFFECT_OUTLINE
  __FORGROUND_COLOR 200 200 200
  __BACKGROUND_COLOR 20 20 20
  __JUSTIFICATION 0
__END

__TCLASS __BGN
  __NAME "PROGRESS_TEXT_NUMBER"
  __NORMAL "-*-helvetica-medium-r-*-*-10-*-*-*-*-*-*-*"
  __DRAWING_EFFECT __EFFECT_OUTLINE
  __FORGROUND_COLOR 200 200 200
  __BACKGROUND_COLOR 20 20 20
  __JUSTIFICATION 512
__END

__TCLASS __BGN
  __NAME "DIALOG"
  __NORMAL "-*-helvetica-medium-r-*-*-10-*-*-*-*-*-*-*"
  __DRAWING_EFFECT __EFFECT_NONE
  __FORGROUND_COLOR 200 200 200
  __BACKGROUND_COLOR 20 20 20
  __JUSTIFICATION 0
__END

__TCLASS __BGN
  __NAME "DIALOG_BUTTON"
  __NORMAL "-*-helvetica-medium-r-*-*-10-*-*-*-*-*-*-*"
  __DRAWING_EFFECT __EFFECT_NONE
  __FORGROUND_COLOR 200 200 200
  __BACKGROUND_COLOR 20 20 20
  __JUSTIFICATION 512
__END

__ICLASS __BGN
  __NAME "DIALOG"
  __NORMAL  "pix/init/progressbartext.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED "pix/init/progressbartext.png"
  __EDGE_SCALING 2 2 2 2
  __PADDING 2 2 2 2
__END

__ICLASS __BGN
  __NAME "DIALOG_BUTTON"
  __NORMAL  "pix/init/progressbartext.png"
  __EDGE_SCALING 2 2 2 2
  __CLICKED "pix/init/progressbartext.png"
  __EDGE_SCALING 2 2 2 2
  __PADDING 2 2 2 2
__END

